LookupRef (Apache Tomcat 9.0.75 API Documentation)

Package org.apache.naming

## Class LookupRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef
    - - org.apache.naming.LookupRef

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class LookupRef
      extends AbstractRef

  Represents a reference to lookup.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `LOOKUP_NAME` | JNDI name for the lookup

    - ### Fields inherited from class javax.naming.Reference

      `addrs, classFactory, classFactoryLocation, className`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LookupRef​(java.lang.String resourceType, java.lang.String lookupName)` |
    `LookupRef​(java.lang.String resourceType, java.lang.String factory, java.lang.String factoryLocation, java.lang.String lookupName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getDefaultFactoryClassName()` |

    - ### Methods inherited from class org.apache.naming.AbstractRef

      `getFactoryClassName, toString`

    - ### Methods inherited from class javax.naming.Reference

      `add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOOKUP_NAME

          public static final java.lang.String LOOKUP_NAME

      JNDI name for the lookup
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LookupRef

          public LookupRef​(java.lang.String resourceType,
                           java.lang.String lookupName)

    - #### LookupRef

          public LookupRef​(java.lang.String resourceType,
                           java.lang.String factory,
                           java.lang.String factoryLocation,
                           java.lang.String lookupName)

  - ### Method Detail

    - #### getDefaultFactoryClassName

          protected java.lang.String getDefaultFactoryClassName()

      Specified by:
        `getDefaultFactoryClassName` in class `AbstractRef`